from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSimpleTabController(XInterface, Protocol):
    def insertTab(self) -> int: ...
    def getActiveTabID(self) -> int: ...
    def addTabListener(self, Listener: XTabListener) -> None: ...
    def removeTabListener(self, Listener: XTabListener) -> None: ...
